Package org.apache.lucene.facet

# Class TopOrdAndIntQueue

java.lang.Object
org.apache.lucene.util.PriorityQueue<TopOrdAndNumberQueue.OrdAndValue>
org.apache.lucene.facet.TopOrdAndNumberQueue
org.apache.lucene.facet.TopOrdAndIntQueue

All Implemented Interfaces:
  `Iterable<TopOrdAndNumberQueue.OrdAndValue>`

public class TopOrdAndIntQueue extends TopOrdAndNumberQueue
Keeps highest results, first by largest int value, then tie-break by smallest ord.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `TopOrdAndIntQueue.OrdAndInt`
  Holds an ordinal and an int value.

  ## Nested classes/interfaces inherited from class org.apache.lucene.facet.TopOrdAndNumberQueue

  `TopOrdAndNumberQueue.OrdAndValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopOrdAndIntQueue(int topN)`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TopOrdAndNumberQueue.OrdAndValue`
  `newOrdAndValue()`
  Create a new `TopOrdAndNumberQueue.OrdAndValue` of the appropriate type.

  ### Methods inherited from class org.apache.lucene.facet.TopOrdAndNumberQueue

  `lessThan`

  ### Methods inherited from class org.apache.lucene.util.PriorityQueue

  `add, addAll, clear, getHeapArray, insertWithOverflow, iterator, pop, remove, size, top, updateTop, updateTop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### TopOrdAndIntQueue

    public TopOrdAndIntQueue(int topN)
    Sole constructor.

- ## Method Details

  - ### newOrdAndValue

    public TopOrdAndNumberQueue.OrdAndValue newOrdAndValue()
    Description copied from class: `TopOrdAndNumberQueue`
    Create a new `TopOrdAndNumberQueue.OrdAndValue` of the appropriate type.
    Specified by:
      `newOrdAndValue` in class `TopOrdAndNumberQueue`